Package org.eclipse.cdt.core.dom.ast

# Interface IASTImplicitDestructorName

All Superinterfaces:
  `IASTImplicitName`, `IASTName`, `IASTNode`, `IName`

public interface IASTImplicitDestructorName extends IASTImplicitName
An implicit name corresponding to a destructor call for a temporary or a variable going out of scope.

Since:
  5.10
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IASTImplicitDestructorName[]`
`EMPTY_NAME_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.IName

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTName`
`getConstructionPoint()`
Returns the name corresponding to the constructor call.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitName

`copy, isAlternate, isOperator, resolveBinding`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTName

`copy, getBinding, getCompletionContext, getImageLocation, getLastName, getLinkage, getLookupKey, getPreBinding, getRoleOfName, isQualified, resolvePreBinding, setBinding, toCharArray, toString`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.IName

`getFileLocation, getSimpleID, isDeclaration, isDefinition, isReference`

## Field Details

### EMPTY_NAME_ARRAY

static final IASTImplicitDestructorName[] EMPTY_NAME_ARRAY

## Method Details

### getConstructionPoint

IASTName getConstructionPoint()
Returns the name corresponding to the constructor call.